更改用户的状态
目的
更改门户中用户的状态。
端点
- PUT /settings/portals/{portal_name}/user_type/{user_type_id}/users/{user_id}/actions/change_status
Request 详情
Request URL
{api-domain}/crm/{version}/settings/portals/{portal_name}/user_type/{user_type_id}/users/{user_id}/actions/change_status
标题
授权:Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52
范围
scope=ZohoCRM.settings.clientportal.ALL
(或者)
Scope=ZohoCRM.settings.clientportal.UPDATE
参数
- active布尔值,必填
true 在门户中激活用户,而 false 在门户中停用用户。
样本请求
可能的错误
- INVALID_DATAHTTP 400
用户的记录在回收站中。因此,您不能更改此用户的状态。
- ALREADY_ACTIVATEDHTTP 400
用户已经处于活动状态。
- NO_PERMISSIONHTTP 403
"客户门户用户"权限已被禁用。
解决方案:联系您的管理员并设置"客户门户用户"以转移用户。 - LIMIT_EXCEEDEDHTTP 403
您已超过门户中用户的许可证限制。
解决方案:联系您的管理员或support@zohocrm.com购买门户用户附加组件。